<?php
/*********************************************************************************
 *       Filename: admin_ads_list.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// admin_ads_list CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// admin_ads_list CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "admin_ads_list.php";
$template_filename = "admin_ads_list.html";
//===============================



//===============================
// admin_ads_list PageSecurity begin
check_security(3);
// admin_ads_list PageSecurity end
//===============================

//===============================
// admin_ads_list Open Event begin
// admin_ads_list Open Event end
//===============================

//===============================
// admin_ads_list OpenAnyPage Event start
// admin_ads_list OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// admin_ads_list Show begin

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();Form3_show();Form4_show();Form1_show();Form2_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// admin_ads_list Show end

//===============================
// admin_ads_list Close Event begin
// admin_ads_list Close Event end
//===============================
//********************************************************************************


//===============================
// Display Grid Form
//-------------------------------
function Form2_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $sForm2Err;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "Expired ads";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;
  $iPage = 0;
  $bEof = false;
  $iSort = "";
  $iSorted = "";
  $sDirection = "";
  $sSortParams = "";


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "category=" . tourl(get_param("category")) . "&country=" . tourl(get_param("country")) . "&price=" . tourl(get_param("price")) . "&price2=" . tourl(get_param("price2")) . "&start_or_est=" . tourl(get_param("start_or_est")) . "&summary=" . tourl(get_param("summary")) . "&user_id=" . tourl(get_param("user_id")) . "&");
  
//-------------------------------
// Build WHERE statement
//-------------------------------
  $pcategory = get_param("category");
  if(is_number($pcategory) && strlen($pcategory))
    $pcategory = tosql($pcategory, "Number");
  else 
    $pcategory = "";

  if(strlen($pcategory))
  {
    $HasParam = true;
    $sWhere = $sWhere . "a.category=" . $pcategory;
  }
  $pcountry = get_param("country");
  if(is_number($pcountry) && strlen($pcountry))
    $pcountry = tosql($pcountry, "Number");
  else 
    $pcountry = "";

  if(strlen($pcountry))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.country=" . $pcountry;
  }
  $pprice = get_param("price");
  if(is_number($pprice) && strlen($pprice))
    $pprice = tosql($pprice, "Number");
  else 
    $pprice = "";

  if(strlen($pprice))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.price>" . $pprice;
  }
  $pprice2 = get_param("price2");
  if(is_number($pprice2) && strlen($pprice2))
    $pprice2 = tosql($pprice2, "Number");
  else 
    $pprice2 = "";

  if(strlen($pprice2))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.price<" . $pprice2;
  }
  $pstart_or_est = get_param("start_or_est");
  if(is_number($pstart_or_est) && strlen($pstart_or_est))
    $pstart_or_est = tosql($pstart_or_est, "Number");
  else 
    $pstart_or_est = "";

  if(strlen($pstart_or_est))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.start_or_est=" . $pstart_or_est;
  }
  $psummary = get_param("summary");

  if(strlen($psummary))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.summary like " . tosql("%".$psummary ."%", "Text");
  }
  $puser_id = get_param("user_id");
  if(is_number($puser_id) && strlen($puser_id))
    $puser_id = tosql($puser_id, "Number");
  else 
    $puser_id = "";

  if(strlen($puser_id))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.user_id=" . $puser_id;
  }


  if($HasParam)
    $sWhere = " AND (expired=1) AND (" . $sWhere . ")";
  else
    $sWhere = " AND expired=1";

//-------------------------------
// Build ORDER BY statement
//-------------------------------
  $iSort = get_param("FormForm2_Sorting");
  $iSorted = get_param("FormForm2_Sorted");
  if(!$iSort)
  {
    $tpl->set_var("Form_Sorting", "");
  }
  else
  {
    if($iSort == $iSorted)
    {
      $tpl->set_var("Form_Sorting", "");
      $sDirection = " DESC";
      $sSortParams = "FormForm2_Sorting=" . $iSort . "&FormForm2_Sorted=" . $iSort . "&";
    }
    else
    {
      $tpl->set_var("Form_Sorting", $iSort);
      $sDirection = " ASC";
      $sSortParams = "FormForm2_Sorting=" . $iSort . "&FormForm2_Sorted=" . "&";
    }
    if ($iSort == 1) $sOrder = " order by u.username" . $sDirection;
    if ($iSort == 2) $sOrder = " order by a.title" . $sDirection;
    if ($iSort == 3) $sOrder = " order by a.price" . $sDirection;
    if ($iSort == 4) $sOrder = " order by a.date_added" . $sDirection;
    if ($iSort == 5) $sOrder = " order by a.views" . $sDirection;
    if ($iSort == 6) $sOrder = " order by l.category" . $sDirection;
    if ($iSort == 7) $sOrder = " order by l1.category2" . $sDirection;
    if ($iSort == 8) $sOrder = " order by l2.country_desc" . $sDirection;
    if ($iSort == 9) $sOrder = " order by a.featured" . $sDirection;
    if ($iSort == 10) $sOrder = " order by a.duration" . $sDirection;
  }

//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select a.ad_id as a_ad_id, " . 
    "a.category as a_category, " . 
    "a.country as a_country, " . 
    "a.date_added as a_date_added, " . 
    "a.duration as a_duration, " . 
    "a.featured as a_featured, " . 
    "a.price as a_price, " . 
    "a.start_or_est as a_start_or_est, " . 
    "a.summary as a_summary, " . 
    "a.title as a_title, " . 
    "a.user_id as a_user_id, " . 
    "a.views as a_views, " . 
    "u.user_id as u_user_id, " . 
    "u.username as u_username, " . 
    "l.cat_id as l_cat_id, " . 
    "l.category as l_category, " . 
    "l1.cat2_id as l1_cat2_id, " . 
    "l1.category2 as l1_category2, " . 
    "l2.country_id as l2_country_id, " . 
    "l2.country_desc as l2_country_desc " . 
    " from ads a, users u, lookup_site_category l, lookup_start_or_est l1, lookup_countries l2" . 
    " where u.user_id=a.user_id and l.cat_id=a.category and l1.cat2_id=a.start_or_est and l2.country_id=a.country  ";
//-------------------------------

//-------------------------------
// Form2 Open Event begin
// Form2 Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Process the parameters for sorting
//-------------------------------
  $tpl->set_var("SortParams", $sSortParams);
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListForm2", "");
    $tpl->parse("Form2NoRecords", false);
    $tpl->set_var("Form2Navigator", "");
    $tpl->parse("FormForm2", false);
    return;
  }
//-------------------------------

//-------------------------------
// Prepare the lists of values
//-------------------------------
  
  $afeatured = split(";", "1;YES;0;NO");
//-------------------------------
//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Process page scroller
//-------------------------------
  $iPage = get_param("FormForm2_Page");
  if(!strlen($iPage)) $iPage = 1; else $iPage = intval($iPage);

  if(($iPage - 1) * $iRecordsPerPage != 0)
  {
    do
    {
      $iCounter++;
    } while ($iCounter < ($iPage - 1) * $iRecordsPerPage && $db->next_record());
    $next_record = $db->next_record();
  }

  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldField1_URLLink = "admin_ads_rec.php";
    $fldField1_ad_id = $db->f("a_ad_id");
    $fldad_id = $db->f("a_ad_id");
    $fldcategory = $db->f("l_category");
    $fldcountry = $db->f("l2_country_desc");
    $flddate_added = $db->f("a_date_added");
    $fldduration = $db->f("a_duration");
    $fldfeatured = $db->f("a_featured");
    $fldprice = $db->f("a_price");
    $fldstart_or_est = $db->f("l1_category2");
    $fldtitle = $db->f("a_title");
    $flduser_id = $db->f("u_username");
    $fldviews = $db->f("a_views");
    $fldField1= "Details";
    $next_record = $db->next_record();
    
//-------------------------------
// Form2 Show begin
//-------------------------------

//-------------------------------
// Form2 Show Event begin
// Form2 Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
    $tpl->set_var("ad_id", tohtml($fldad_id));
      $tpl->set_var("user_id", tohtml($flduser_id));
      $tpl->set_var("title", tohtml($fldtitle));
      $tpl->set_var("price", tohtml($fldprice));
      $tpl->set_var("date_added", tohtml($flddate_added));
      $tpl->set_var("views", tohtml($fldviews));
      $tpl->set_var("category", tohtml($fldcategory));
      $tpl->set_var("start_or_est", tohtml($fldstart_or_est));
      $tpl->set_var("country", tohtml($fldcountry));
      $fldfeatured = get_lov_value($fldfeatured, $afeatured);
      $tpl->set_var("featured", tohtml($fldfeatured));
      $tpl->set_var("duration", tohtml($fldduration));
      $tpl->set_var("Field1", tohtml($fldField1));
      $tpl->set_var("Field1_URLLink", $fldField1_URLLink);
      $tpl->set_var("PrmField1_ad_id", urlencode($fldField1_ad_id));
    $tpl->parse("DListForm2", true);
//-------------------------------
// Form2 Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }

  // Form2 Navigation begin
  $bEof = $next_record;
  // Parse Navigator
  if(!$bEof && $iPage == 1)
    $tpl->set_var("Form2Navigator", "");
  else 
  {
    if(!$bEof)
      $tpl->set_var("Form2NavigatorLastPage", "_");
    else
      $tpl->set_var("NextPage", ($iPage + 1));
    if($iPage == 1)
      $tpl->set_var("Form2NavigatorFirstPage", "_");
    else
      $tpl->set_var("PrevPage", ($iPage - 1));
    $tpl->set_var("Form2CurrentPage", $iPage);
    $tpl->parse( "Form2Navigator", false);
  }

//-------------------------------
// Form2 Navigation end
//-------------------------------

//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "Form2NoRecords", "");
  $tpl->parse( "FormForm2", false);
//-------------------------------
// Form2 Close Event begin
// Form2 Close Event end
//-------------------------------
}
//===============================


//===============================
// Display Search Form
//-------------------------------
function Form4_show()
{
  global $db;
  global $tpl;
  global $sForm;
  $sFormTitle = "Search /  Refine";
  $sActionFileName = "admin_ads_list.php";
  $suser_idDisplayValue = "All";
  $scategoryDisplayValue = "All";
  $sstart_or_estDisplayValue = "All";
  $scountryDisplayValue = "All";

//-------------------------------
// Form4 Open Event begin
// Form4 Open Event end
//-------------------------------
  $tpl->set_var("FormTitle", $sFormTitle);
  $tpl->set_var("ActionPage", $sActionFileName);
//-------------------------------
// Set variables with search parameters
//-------------------------------
  $flduser_id = strip(get_param("user_id"));
  $fldsummary = strip(get_param("summary"));
  $fldprice = strip(get_param("price"));
  $fldprice2 = strip(get_param("price2"));
  $fldcategory = strip(get_param("category"));
  $fldstart_or_est = strip(get_param("start_or_est"));
  $fldcountry = strip(get_param("country"));

//-------------------------------
// Form4 Show begin
//-------------------------------


//-------------------------------
// Form4 Show Event begin
// Form4 Show Event end
//-------------------------------
    $tpl->set_var("Form4LBuser_id", "");
    $tpl->set_var("ID", "");
    $tpl->set_var("Value", $suser_idDisplayValue);
    $tpl->set_var("Selected", "");
    $tpl->parse("Form4LBuser_id", true);
    $lookup_user_id = db_fill_array("select user_id, username from users order by 2");

    if(is_array($lookup_user_id))
    {
      reset($lookup_user_id);
      while(list($key, $value) = each($lookup_user_id))
      {
        $tpl->set_var("ID", $key);
        $tpl->set_var("Value", $value);
        if($key == $flduser_id)
          $tpl->set_var("Selected", "SELECTED" );
        else 
          $tpl->set_var("Selected", "");
        $tpl->parse("Form4LBuser_id", true);
      }
    }
    
    $tpl->set_var("summary", tohtml($fldsummary));
    $tpl->set_var("price", tohtml($fldprice));
    $tpl->set_var("price2", tohtml($fldprice2));
    $tpl->set_var("Form4LBcategory", "");
    $tpl->set_var("ID", "");
    $tpl->set_var("Value", $scategoryDisplayValue);
    $tpl->set_var("Selected", "");
    $tpl->parse("Form4LBcategory", true);
    $lookup_category = db_fill_array("select cat_id, category from lookup_site_category order by 2");

    if(is_array($lookup_category))
    {
      reset($lookup_category);
      while(list($key, $value) = each($lookup_category))
      {
        $tpl->set_var("ID", $key);
        $tpl->set_var("Value", $value);
        if($key == $fldcategory)
          $tpl->set_var("Selected", "SELECTED" );
        else 
          $tpl->set_var("Selected", "");
        $tpl->parse("Form4LBcategory", true);
      }
    }
    
    $tpl->set_var("Form4LBstart_or_est", "");
    $tpl->set_var("ID", "");
    $tpl->set_var("Value", $sstart_or_estDisplayValue);
    $tpl->set_var("Selected", "");
    $tpl->parse("Form4LBstart_or_est", true);
    $lookup_start_or_est = db_fill_array("select cat2_id, category2 from lookup_start_or_est order by 2");

    if(is_array($lookup_start_or_est))
    {
      reset($lookup_start_or_est);
      while(list($key, $value) = each($lookup_start_or_est))
      {
        $tpl->set_var("ID", $key);
        $tpl->set_var("Value", $value);
        if($key == $fldstart_or_est)
          $tpl->set_var("Selected", "SELECTED" );
        else 
          $tpl->set_var("Selected", "");
        $tpl->parse("Form4LBstart_or_est", true);
      }
    }
    
    $tpl->set_var("Form4LBcountry", "");
    $tpl->set_var("ID", "");
    $tpl->set_var("Value", $scountryDisplayValue);
    $tpl->set_var("Selected", "");
    $tpl->parse("Form4LBcountry", true);
    $lookup_country = db_fill_array("select country_id, country_desc from lookup_countries order by 2");

    if(is_array($lookup_country))
    {
      reset($lookup_country);
      while(list($key, $value) = each($lookup_country))
      {
        $tpl->set_var("ID", $key);
        $tpl->set_var("Value", $value);
        if($key == $fldcountry)
          $tpl->set_var("Selected", "SELECTED" );
        else 
          $tpl->set_var("Selected", "");
        $tpl->parse("Form4LBcountry", true);
      }
    }
    

//-------------------------------
// Form4 Show end
//-------------------------------

//-------------------------------
// Form4 Close Event begin
// Form4 Close Event end
//-------------------------------
  $tpl->parse("FormForm4", false);
//===============================
}


//===============================
// Display Grid Form
//-------------------------------
function Form1_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $sForm1Err;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "Active ads";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;
  $iPage = 0;
  $bEof = false;
  $iSort = "";
  $iSorted = "";
  $sDirection = "";
  $sSortParams = "";
  $sActionFileName = "admin_ads_rec.php";


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "category=" . tourl(get_param("category")) . "&country=" . tourl(get_param("country")) . "&price=" . tourl(get_param("price")) . "&price2=" . tourl(get_param("price2")) . "&start_or_est=" . tourl(get_param("start_or_est")) . "&summary=" . tourl(get_param("summary")) . "&user_id=" . tourl(get_param("user_id")) . "&");
  
//-------------------------------
// Build WHERE statement
//-------------------------------
  $pcategory = get_param("category");
  if(is_number($pcategory) && strlen($pcategory))
    $pcategory = tosql($pcategory, "Number");
  else 
    $pcategory = "";

  if(strlen($pcategory))
  {
    $HasParam = true;
    $sWhere = $sWhere . "a.category=" . $pcategory;
  }
  $pcountry = get_param("country");
  if(is_number($pcountry) && strlen($pcountry))
    $pcountry = tosql($pcountry, "Number");
  else 
    $pcountry = "";

  if(strlen($pcountry))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.country=" . $pcountry;
  }
  $pprice = get_param("price");
  if(is_number($pprice) && strlen($pprice))
    $pprice = tosql($pprice, "Number");
  else 
    $pprice = "";

  if(strlen($pprice))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.price>" . $pprice;
  }
  $pprice2 = get_param("price2");
  if(is_number($pprice2) && strlen($pprice2))
    $pprice2 = tosql($pprice2, "Number");
  else 
    $pprice2 = "";

  if(strlen($pprice2))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.price<" . $pprice2;
  }
  $pstart_or_est = get_param("start_or_est");
  if(is_number($pstart_or_est) && strlen($pstart_or_est))
    $pstart_or_est = tosql($pstart_or_est, "Number");
  else 
    $pstart_or_est = "";

  if(strlen($pstart_or_est))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.start_or_est=" . $pstart_or_est;
  }
  $psummary = get_param("summary");

  if(strlen($psummary))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.summary like " . tosql("%".$psummary ."%", "Text");
  }
  $puser_id = get_param("user_id");
  if(is_number($puser_id) && strlen($puser_id))
    $puser_id = tosql($puser_id, "Number");
  else 
    $puser_id = "";

  if(strlen($puser_id))
  {
    if($sWhere != "") 
      $sWhere .= " and ";
    $HasParam = true;
    $sWhere = $sWhere . "a.user_id=" . $puser_id;
  }


  if($HasParam)
    $sWhere = " AND (expired=0) AND (" . $sWhere . ")";
  else
    $sWhere = " AND expired=0";

//-------------------------------
// Build ORDER BY statement
//-------------------------------
  $iSort = get_param("FormForm1_Sorting");
  $iSorted = get_param("FormForm1_Sorted");
  if(!$iSort)
  {
    $tpl->set_var("Form_Sorting", "");
  }
  else
  {
    if($iSort == $iSorted)
    {
      $tpl->set_var("Form_Sorting", "");
      $sDirection = " DESC";
      $sSortParams = "FormForm1_Sorting=" . $iSort . "&FormForm1_Sorted=" . $iSort . "&";
    }
    else
    {
      $tpl->set_var("Form_Sorting", $iSort);
      $sDirection = " ASC";
      $sSortParams = "FormForm1_Sorting=" . $iSort . "&FormForm1_Sorted=" . "&";
    }
    if ($iSort == 1) $sOrder = " order by u.username" . $sDirection;
    if ($iSort == 2) $sOrder = " order by a.title" . $sDirection;
    if ($iSort == 3) $sOrder = " order by a.price" . $sDirection;
    if ($iSort == 4) $sOrder = " order by a.date_added" . $sDirection;
    if ($iSort == 5) $sOrder = " order by a.views" . $sDirection;
    if ($iSort == 6) $sOrder = " order by l.category" . $sDirection;
    if ($iSort == 7) $sOrder = " order by l1.category2" . $sDirection;
    if ($iSort == 8) $sOrder = " order by l2.country_desc" . $sDirection;
    if ($iSort == 9) $sOrder = " order by a.featured" . $sDirection;
    if ($iSort == 10) $sOrder = " order by a.duration" . $sDirection;
  }

//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select a.ad_id as a_ad_id, " . 
    "a.category as a_category, " . 
    "a.country as a_country, " . 
    "a.date_added as a_date_added, " . 
    "a.duration as a_duration, " . 
    "a.featured as a_featured, " . 
    "a.price as a_price, " . 
    "a.start_or_est as a_start_or_est, " . 
    "a.summary as a_summary, " . 
    "a.title as a_title, " . 
    "a.user_id as a_user_id, " . 
    "a.views as a_views, " . 
    "u.user_id as u_user_id, " . 
    "u.username as u_username, " . 
    "l.cat_id as l_cat_id, " . 
    "l.category as l_category, " . 
    "l1.cat2_id as l1_cat2_id, " . 
    "l1.category2 as l1_category2, " . 
    "l2.country_id as l2_country_id, " . 
    "l2.country_desc as l2_country_desc " . 
    " from ads a, users u, lookup_site_category l, lookup_start_or_est l1, lookup_countries l2" . 
    " where u.user_id=a.user_id and l.cat_id=a.category and l1.cat2_id=a.start_or_est and l2.country_id=a.country  ";
//-------------------------------

//-------------------------------
// Form1 Open Event begin
// Form1 Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Process the link to the record page
//-------------------------------
  $tpl->set_var("FormAction", $sActionFileName);
//-------------------------------

//-------------------------------
// Process the parameters for sorting
//-------------------------------
  $tpl->set_var("SortParams", $sSortParams);
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListForm1", "");
    $tpl->parse("Form1NoRecords", false);
    $tpl->set_var("Form1Navigator", "");
    $tpl->parse("FormForm1", false);
    return;
  }
//-------------------------------

//-------------------------------
// Prepare the lists of values
//-------------------------------
  
  $afeatured = split(";", "1;YES;0;NO");
//-------------------------------
//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Process page scroller
//-------------------------------
  $iPage = get_param("FormForm1_Page");
  if(!strlen($iPage)) $iPage = 1; else $iPage = intval($iPage);

  if(($iPage - 1) * $iRecordsPerPage != 0)
  {
    do
    {
      $iCounter++;
    } while ($iCounter < ($iPage - 1) * $iRecordsPerPage && $db->next_record());
    $next_record = $db->next_record();
  }

  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldField1_URLLink = "admin_ads_rec.php";
    $fldField1_ad_id = $db->f("a_ad_id");
    $fldad_id = $db->f("a_ad_id");
    $fldcategory = $db->f("l_category");
    $fldcountry = $db->f("l2_country_desc");
    $flddate_added = $db->f("a_date_added");
    $fldduration = $db->f("a_duration");
    $fldfeatured = $db->f("a_featured");
    $fldprice = $db->f("a_price");
    $fldstart_or_est = $db->f("l1_category2");
    $fldtitle = $db->f("a_title");
    $flduser_id = $db->f("u_username");
    $fldviews = $db->f("a_views");
    $fldField1= "Details";
    $next_record = $db->next_record();
    
//-------------------------------
// Form1 Show begin
//-------------------------------

//-------------------------------
// Form1 Show Event begin
// Form1 Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
    $tpl->set_var("ad_id", tohtml($fldad_id));
      $tpl->set_var("user_id", tohtml($flduser_id));
      $tpl->set_var("title", tohtml($fldtitle));
      $tpl->set_var("price", tohtml($fldprice));
      $tpl->set_var("date_added", tohtml($flddate_added));
      $tpl->set_var("views", tohtml($fldviews));
      $tpl->set_var("category", tohtml($fldcategory));
      $tpl->set_var("start_or_est", tohtml($fldstart_or_est));
      $tpl->set_var("country", tohtml($fldcountry));
      $fldfeatured = get_lov_value($fldfeatured, $afeatured);
      $tpl->set_var("featured", tohtml($fldfeatured));
      $tpl->set_var("duration", tohtml($fldduration));
      $tpl->set_var("Field1", tohtml($fldField1));
      $tpl->set_var("Field1_URLLink", $fldField1_URLLink);
      $tpl->set_var("PrmField1_ad_id", urlencode($fldField1_ad_id));
    $tpl->parse("DListForm1", true);
//-------------------------------
// Form1 Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }

  // Form1 Navigation begin
  $bEof = $next_record;
  // Parse Navigator
  if(!$bEof && $iPage == 1)
    $tpl->set_var("Form1Navigator", "");
  else 
  {
    if(!$bEof)
      $tpl->set_var("Form1NavigatorLastPage", "_");
    else
      $tpl->set_var("NextPage", ($iPage + 1));
    if($iPage == 1)
      $tpl->set_var("Form1NavigatorFirstPage", "_");
    else
      $tpl->set_var("PrevPage", ($iPage - 1));
    $tpl->set_var("Form1CurrentPage", $iPage);
    $tpl->parse( "Form1Navigator", false);
  }

//-------------------------------
// Form1 Navigation end
//-------------------------------

//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "Form1NoRecords", "");
  $tpl->parse( "FormForm1", false);
//-------------------------------
// Form1 Close Event begin
// Form1 Close Event end
//-------------------------------
}
//===============================


//===============================
// Display Menu Form
//-------------------------------
function Form3_show()
{
  global $tpl;
  global $db;
  $sFormTitle = "ADMIN PANEL >> Ads management";

//-------------------------------
// Form3 Open Event begin
// Form3 Open Event end
//-------------------------------

//-------------------------------
// Set URLs
//-------------------------------
//-------------------------------
// Form3 Show begin
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Form3 BeforeShow Event begin
// Form3 BeforeShow Event end
//-------------------------------

//-------------------------------
// Show fields
//-------------------------------
  $tpl->parse("FormForm3", false);

//-------------------------------
// Form3 Show end
//-------------------------------
}
//===============================

?>