<?php
/*********************************************************************************
 *       Filename: admin_settings_cat.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// admin_settings_cat CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// admin_settings_cat CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "admin_settings_cat.php";
$template_filename = "admin_settings_cat.html";
//===============================



//===============================
// admin_settings_cat PageSecurity begin
check_security(3);
// admin_settings_cat PageSecurity end
//===============================

//===============================
// admin_settings_cat Open Event begin
// admin_settings_cat Open Event end
//===============================

//===============================
// admin_settings_cat OpenAnyPage Event start
// admin_settings_cat OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// admin_settings_cat Show begin

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();Form1_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// admin_settings_cat Show end

//===============================
// admin_settings_cat Close Event begin
// admin_settings_cat Close Event end
//===============================
//********************************************************************************


//===============================
// Display Grid Form
//-------------------------------
function Form1_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $sForm1Err;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "ADMIN PANEL >> Settings >> Ad Categories list";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;
  $iPage = 0;
  $bEof = false;
  $iSort = "";
  $iSorted = "";
  $sDirection = "";
  $sSortParams = "";
  $sActionFileName = "admin_settings_cat_r.php";


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "");



//-------------------------------
// Build ORDER BY statement
//-------------------------------
  $iSort = get_param("FormForm1_Sorting");
  $iSorted = get_param("FormForm1_Sorted");
  if(!$iSort)
  {
    $tpl->set_var("Form_Sorting", "");
  }
  else
  {
    if($iSort == $iSorted)
    {
      $tpl->set_var("Form_Sorting", "");
      $sDirection = " DESC";
      $sSortParams = "FormForm1_Sorting=" . $iSort . "&FormForm1_Sorted=" . $iSort . "&";
    }
    else
    {
      $tpl->set_var("Form_Sorting", $iSort);
      $sDirection = " ASC";
      $sSortParams = "FormForm1_Sorting=" . $iSort . "&FormForm1_Sorted=" . "&";
    }
    if ($iSort == 1) $sOrder = " order by l.category" . $sDirection;
  }

//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select l.cat_id as l_cat_id, " . 
    "l.category as l_category " . 
    " from lookup_site_category l ";
//-------------------------------

//-------------------------------
// Form1 Open Event begin
// Form1 Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Process the link to the record page
//-------------------------------
  $tpl->set_var("FormAction", $sActionFileName);
//-------------------------------

//-------------------------------
// Process the parameters for sorting
//-------------------------------
  $tpl->set_var("SortParams", $sSortParams);
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListForm1", "");
    $tpl->parse("Form1NoRecords", false);
    $tpl->set_var("Form1Navigator", "");
    $tpl->parse("FormForm1", false);
    return;
  }
//-------------------------------

//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Process page scroller
//-------------------------------
  $iPage = get_param("FormForm1_Page");
  if(!strlen($iPage)) $iPage = 1; else $iPage = intval($iPage);

  if(($iPage - 1) * $iRecordsPerPage != 0)
  {
    do
    {
      $iCounter++;
    } while ($iCounter < ($iPage - 1) * $iRecordsPerPage && $db->next_record());
    $next_record = $db->next_record();
  }

  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldcat_id = $db->f("l_cat_id");
    $fldcategory_URLLink = "admin_settings_cat_r.php";
    $fldcategory_cat_id = $db->f("l_cat_id");
    $fldcategory = $db->f("l_category");
    $next_record = $db->next_record();
    
//-------------------------------
// Form1 Show begin
//-------------------------------

//-------------------------------
// Form1 Show Event begin
// Form1 Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
    $tpl->set_var("cat_id", tohtml($fldcat_id));
      $tpl->set_var("category", tohtml($fldcategory));
      $tpl->set_var("category_URLLink", $fldcategory_URLLink);
      $tpl->set_var("Prmcategory_cat_id", urlencode($fldcategory_cat_id));
    $tpl->parse("DListForm1", true);
//-------------------------------
// Form1 Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }

  // Form1 Navigation begin
  $bEof = $next_record;
  // Parse Navigator
  if(!$bEof && $iPage == 1)
    $tpl->set_var("Form1Navigator", "");
  else 
  {
    if(!$bEof)
      $tpl->set_var("Form1NavigatorLastPage", "_");
    else
      $tpl->set_var("NextPage", ($iPage + 1));
    if($iPage == 1)
      $tpl->set_var("Form1NavigatorFirstPage", "_");
    else
      $tpl->set_var("PrevPage", ($iPage - 1));
    $tpl->set_var("Form1CurrentPage", $iPage);
    $tpl->parse( "Form1Navigator", false);
  }

//-------------------------------
// Form1 Navigation end
//-------------------------------

//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "Form1NoRecords", "");
  $tpl->parse( "FormForm1", false);
//-------------------------------
// Form1 Close Event begin
// Form1 Close Event end
//-------------------------------
}
//===============================

?>