<?php
/*********************************************************************************
 *       Filename: admin_settings_menu.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// admin_settings_menu CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// admin_settings_menu CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "admin_settings_menu.php";
$template_filename = "admin_settings_menu.html";
//===============================



//===============================
// admin_settings_menu PageSecurity begin
check_security(3);
// admin_settings_menu PageSecurity end
//===============================

//===============================
// admin_settings_menu Open Event begin
// admin_settings_menu Open Event end
//===============================

//===============================
// admin_settings_menu OpenAnyPage Event start
// admin_settings_menu OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// admin_settings_menu Show begin

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();settings_show();Form1_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// admin_settings_menu Show end

//===============================
// admin_settings_menu Close Event begin
// admin_settings_menu Close Event end
//===============================
//********************************************************************************


//===============================
// Display Menu Form
//-------------------------------
function settings_show()
{
  global $tpl;
  global $db;
  $sFormTitle = "ADMIN PANEL >> Settings";

//-------------------------------
// settings Open Event begin
// settings Open Event end
//-------------------------------

//-------------------------------
// Set URLs
//-------------------------------
  $fldField1 = "admin_settings_cat.php";
  $fldField2 = "admin_settings_country.php";
  $fldField3 = "admin_settings_lev.php";
//-------------------------------
// settings Show begin
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// settings BeforeShow Event begin
// settings BeforeShow Event end
//-------------------------------

//-------------------------------
// Show fields
//-------------------------------
  $tpl->set_var("Field1", $fldField1);
  $tpl->set_var("Field2", $fldField2);
  $tpl->set_var("Field3", $fldField3);
  $tpl->parse("Formsettings", false);

//-------------------------------
// settings Show end
//-------------------------------
}
//===============================


//===============================
// Display Grid Form
//-------------------------------
function Form1_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $sForm1Err;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "");



//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select s.settings_id as s_settings_id " . 
    " from settings s ";
//-------------------------------

//-------------------------------
// Form1 Open Event begin
// Form1 Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListForm1", "");
    $tpl->parse("Form1NoRecords", false);
    $tpl->parse("FormForm1", false);
    return;
  }
//-------------------------------

//-------------------------------
// Prepare the lists of values
//-------------------------------
  
  $asettings_id = split(";", "1;Other settings");
//-------------------------------
//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldsettings_id_URLLink = "admin_settings_other.php";
    $fldsettings_id_settings_id = $db->f("s_settings_id");
    $fldsettings_id = $db->f("s_settings_id");
    $next_record = $db->next_record();
    
//-------------------------------
// Form1 Show begin
//-------------------------------

//-------------------------------
// Form1 Show Event begin
// Form1 Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
      $fldsettings_id = get_lov_value($fldsettings_id, $asettings_id);
      $tpl->set_var("settings_id", tohtml($fldsettings_id));
      $tpl->set_var("settings_id_URLLink", $fldsettings_id_URLLink);
      $tpl->set_var("Prmsettings_id_settings_id", urlencode($fldsettings_id_settings_id));
    $tpl->parse("DListForm1", true);
//-------------------------------
// Form1 Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }


//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "Form1NoRecords", "");
  $tpl->parse( "FormForm1", false);
//-------------------------------
// Form1 Close Event begin
// Form1 Close Event end
//-------------------------------
}
//===============================

?>