<?php
/*********************************************************************************
 *       Filename: admin_settings_other.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// admin_settings_other CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// admin_settings_other CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "admin_settings_other.php";
$template_filename = "admin_settings_other.html";
//===============================



//===============================
// admin_settings_other PageSecurity begin
check_security(3);
// admin_settings_other PageSecurity end
//===============================

//===============================
// admin_settings_other Open Event begin
// admin_settings_other Open Event end
//===============================

//===============================
// admin_settings_other OpenAnyPage Event start
// admin_settings_other OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// admin_settings_other Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sForm1Err = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form1":
    Form1_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();Form1_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// admin_settings_other Show end

//===============================
// admin_settings_other Close Event begin
// admin_settings_other Close Event end
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form1_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  global $tpl;
  global $sForm;
  global $sForm1Err;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
  $pPKsettings_id = "";
  $fldviews_per_click = "";
//-------------------------------

//-------------------------------
// Form1 Action begin
//-------------------------------
  $sActionFileName = "admin_settings_menu.php";

//-------------------------------
// CANCEL action
//-------------------------------
  if($sAction == "cancel")
  {

//-------------------------------
// Form1 BeforeCancel Event begin
// Form1 BeforeCancel Event end
//-------------------------------
    header("Location: " . $sActionFileName);
    exit;
  }
//-------------------------------


//-------------------------------
// Build WHERE statement
//-------------------------------
  if($sAction == "update" || $sAction == "delete") 
  {
    $pPKsettings_id = get_param("PK_settings_id");
    if( !strlen($pPKsettings_id)) return;
    $sWhere = "settings_id=" . tosql($pPKsettings_id, "Number");
  }
//-------------------------------


//-------------------------------
// Load all form fields into variables
//-------------------------------
  $fldviews_per_click = get_param("views_per_click");

//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "update":

//-------------------------------
// Form1 Update Event begin
// Form1 Update Event end
//-------------------------------
        $sSQL = "update settings set " .
          "views_per_click=" . tosql($fldviews_per_click, "Number");
        $sSQL .= " where " . $sWhere;
    break;
  }
//-------------------------------
//-------------------------------
// Form1 BeforeExecute Event begin
// Form1 BeforeExecute Event end
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if(strlen($sForm1Err)) return;
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: " . $sActionFileName);
  exit;
//-------------------------------
// Form1 Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form1_show()
{
  global $db;
  global $tpl;
  global $sAction;
  global $sForm;
  global $sForm1Err;
  
  $fldsettings_id = "";
  $fldviews_per_click = "";
//-------------------------------
// Form1 Show begin
//-------------------------------
  $sFormTitle = "ADMIN PANEL >> Settings >> Other settings";
  $sWhere = "";
  $bPK = true;
//-------------------------------
// Load primary key and form parameters
//-------------------------------
  if($sForm1Err == "")
  {
    $psettings_id = get_param("settings_id");
    $tpl->set_var("Form1Error", "");
  }
  else
  {
    $fldsettings_id = strip(get_param("settings_id"));
    $fldviews_per_click = strip(get_param("views_per_click"));
    $psettings_id = get_param("PK_settings_id");
    $tpl->set_var("sForm1Err", $sForm1Err);
    $tpl->set_var("FormTitle", $sFormTitle);
    $tpl->parse("Form1Error", false);
  }
//-------------------------------

//-------------------------------
// Load all form fields

//-------------------------------

//-------------------------------
// Build WHERE statement
//-------------------------------
  
  if( !strlen($psettings_id)) $bPK = false;
  
  $sWhere .= "settings_id=" . tosql($psettings_id, "Number");
  $tpl->set_var("PK_settings_id", $psettings_id);
//-------------------------------
//-------------------------------
// Form1 Open Event begin
// Form1 Open Event end
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Build SQL statement and execute query
//-------------------------------
  $sSQL = "select * from settings where " . $sWhere;
  // Execute SQL statement
  $db->query($sSQL);
  $bIsUpdateMode = ($bPK && !($sAction == "insert" && $sForm == "Form1") && $db->next_record());
//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------
  if($bIsUpdateMode)
  {
    $fldsettings_id = $db->f("settings_id");
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------
    if($sForm1Err == "") 
    {
      $fldviews_per_click = $db->f("views_per_click");
    }
    $tpl->set_var("Form1Delete", "");
    $tpl->set_var("Form1Insert", "");
    $tpl->parse("Form1Edit", false);
//-------------------------------
// Form1 ShowEdit Event begin
// Form1 ShowEdit Event end
//-------------------------------
  }
  else
  {
    $tpl->set_var("Form1Edit", "");
    $tpl->set_var("Form1Insert", "");
//-------------------------------
// Form1 ShowInsert Event begin
// Form1 ShowInsert Event end
//-------------------------------
  }
  $tpl->parse("Form1Cancel", false);
//-------------------------------
// Form1 Show Event begin
// Form1 Show Event end
//-------------------------------

//-------------------------------
// Show form field
//-------------------------------
    $tpl->set_var("settings_id", tohtml($fldsettings_id));
    $tpl->set_var("views_per_click", tohtml($fldviews_per_click));
  $tpl->parse("FormForm1", false);

//-------------------------------
// Form1 Close Event begin
// Form1 Close Event end
//-------------------------------

//-------------------------------
// Form1 Show end
//-------------------------------
}
//===============================
?>