<?php
/*********************************************************************************
 *       Filename: index.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// index CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// index CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "index.php";
$template_filename = "index2.html";
//===============================



//===============================
// index PageSecurity begin
// index PageSecurity end
//===============================

//===============================
// index Open Event begin
// index Open Event end
//===============================

//===============================
// index OpenAnyPage Event start
// index OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// index Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sloginErr = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "login":
    login_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();search_show();advmenu_show();country_show();level_show();login_show();featured_show();cat_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// index Show end

//===============================
// index Close Event begin
// index Close Event end
//===============================
//********************************************************************************


//===============================
// Login Form Action
//-------------------------------
function login_action($sAction)
{
  global $db;
  global $tpl;
  global $sloginErr;
  global $filename;

  switch(strtolower($sAction))
  {
    case "login":

//-------------------------------
// login Login begin
//-------------------------------
      $sLogin = get_param("Login");
      $sPassword = get_param("Password");
      $db->query("SELECT user_id,sec_level FROM users WHERE username =" . tosql($sLogin, "Text") . " AND password=" . tosql($sPassword, "Text"));
      $is_passed = $db->next_record();

//-------------------------------
// login OnLogin Event begin
// login OnLogin Event end
//-------------------------------
      if($is_passed)
      {
//-------------------------------
// Login and password passed
//-------------------------------
        set_session("UserID", $db->f("user_id"));
        set_session("UserRights", $db->f("sec_level"));
        $sPage = get_param("ret_page");
        if (strlen($sPage))
        {
          header("Location: " . $sPage);
          exit;
        }
        else
        {
          header("Location: login_redirect.php");
          exit;
        }
      }
      else
      {
        $sloginErr = "Login or Password is incorrect.";
      }
//-------------------------------
// login Login end
//-------------------------------
    break;
    case "logout":
//-------------------------------
// Logout action
//-------------------------------
//-------------------------------
// login Logout begin
//-------------------------------

//-------------------------------
// login OnLogout Event begin
// login OnLogout Event end
//-------------------------------
      session_unregister("UserID");
      session_unregister("UserRights");
      if(strlen(get_param("ret_page")))
      {
        header("Location:" . $filename . "?ret_page=" . urlencode(get_param("ret_page")));
        exit;
      }
      else
      {
        header("Location:" . $filename);
        exit;
      }
//-------------------------------
// login Logout end
//-------------------------------
    break;
  }
}
//===============================


//===============================
// Display Login Form
//-------------------------------
function login_show()
{
  global $tpl;
  global $sloginErr;
  global $db;
  $sFormTitle = "Login";

//-------------------------------
// login Show begin
//-------------------------------

//-------------------------------
// login Open Event begin
// login Open Event end
//-------------------------------
  $tpl->set_var("FormTitle", $sFormTitle);
  $tpl->set_var("sloginErr", $sloginErr);
  $tpl->set_var("querystring", get_param("querystring"));
  $tpl->set_var("ret_page", get_param("ret_page"));
//-------------------------------
// login BeforeShow Event begin
// login BeforeShow Event end
//-------------------------------
  if(get_session("UserID") == "") 
  {
//-------------------------------
// User is not logged in
//-------------------------------
    $tpl->set_var("LogoutAct", "");
    $tpl->set_var("UserInd", "");
    $tpl->set_var("Login", strip(tohtml(get_param("Login"))));
    if($sloginErr == "")
      $tpl->set_var("loginError", "");
    else
    {
      $tpl->set_var("sloginErr", $sloginErr);
      $tpl->parse("loginError", false);
    }
    $tpl->parse("LoginAct", false);
  }
  else
  {
//-------------------------------
// User logged in
//-------------------------------
    $db->query("SELECT username FROM users WHERE user_id=". get_session("UserID"));
    $db->next_record();
    $tpl->set_var("loginError", "");
    $tpl->set_var("LoginAct", "");
    $tpl->set_var("UserID", $db->f("username"));
    $tpl->parse("UserInd", false);
  }
  $tpl->parse("Formlogin", false);

//-------------------------------
// login Close Event begin
// login Close Event end
//-------------------------------

//-------------------------------
// login Show end
//-------------------------------
}
//===============================



//===============================
// Display Grid Form
//-------------------------------
function featured_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $sfeaturedErr;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "Featured ads";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "");


  $sWhere = " WHERE featured=1";

//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select a.ad_id as a_ad_id, " . 
    "a.title as a_title " . 
    " from ads a ";
//-------------------------------

//-------------------------------
// featured Open Event begin
// featured Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListfeatured", "");
    $tpl->parse("featuredNoRecords", false);
    $tpl->parse("Formfeatured", false);
    return;
  }
//-------------------------------

//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldad_id = $db->f("a_ad_id");
    $fldtitle_URLLink = "index_ad_details.php";
    $fldtitle_ad_id = $db->f("a_ad_id");
    $fldtitle = $db->f("a_title");
    $next_record = $db->next_record();
    
//-------------------------------
// featured Show begin
//-------------------------------

//-------------------------------
// featured Show Event begin
// featured Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
    $tpl->set_var("ad_id", tohtml($fldad_id));
      $tpl->set_var("title", tohtml($fldtitle));
      $tpl->set_var("title_URLLink", $fldtitle_URLLink);
      $tpl->set_var("Prmtitle_ad_id", urlencode($fldtitle_ad_id));
    $tpl->parse("DListfeatured", true);
//-------------------------------
// featured Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }


//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "featuredNoRecords", "");
  $tpl->parse( "Formfeatured", false);
//-------------------------------
// featured Close Event begin
// featured Close Event end
//-------------------------------
}
//===============================


//===============================
// Display Menu Form
//-------------------------------
function advmenu_show()
{
  global $tpl;
  global $db;
  $sFormTitle = "";

//-------------------------------
// advmenu Open Event begin
// advmenu Open Event end
//-------------------------------

//-------------------------------
// Set URLs
//-------------------------------
  $fldField1 = "index_adv_search.php";
//-------------------------------
// advmenu Show begin
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// advmenu BeforeShow Event begin
// advmenu BeforeShow Event end
//-------------------------------

//-------------------------------
// Show fields
//-------------------------------
  $tpl->set_var("Field1", $fldField1);
  $tpl->parse("Formadvmenu", false);

//-------------------------------
// advmenu Show end
//-------------------------------
}
//===============================


//===============================
// Display Grid Form
//-------------------------------
function cat_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $scatErr;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "Site category";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "");



//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select l.cat_id as l_cat_id, " . 
    "l.category as l_category " . 
    " from lookup_site_category l ";
//-------------------------------

//-------------------------------
// cat Open Event begin
// cat Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListcat", "");
    $tpl->parse("catNoRecords", false);
    $tpl->parse("Formcat", false);
    return;
  }
//-------------------------------

//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldcat_id = $db->f("l_cat_id");
    $fldcategory_URLLink = "index_searchresults.php";
    $fldcategory_cat_id = $db->f("l_cat_id");
    $fldcategory = $db->f("l_category");
    $next_record = $db->next_record();
    
//-------------------------------
// cat Show begin
//-------------------------------

//-------------------------------
// cat Show Event begin
// cat Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
    $tpl->set_var("cat_id", tohtml($fldcat_id));
      $tpl->set_var("category", tohtml($fldcategory));
      $tpl->set_var("category_URLLink", $fldcategory_URLLink);
      $tpl->set_var("Prmcategory_cat_id", urlencode($fldcategory_cat_id));
    $tpl->parse("DListcat", true);
//-------------------------------
// cat Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }


//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "catNoRecords", "");
  $tpl->parse( "Formcat", false);
//-------------------------------
// cat Close Event begin
// cat Close Event end
//-------------------------------
}
//===============================


//===============================
// Display Grid Form
//-------------------------------
function country_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $scountryErr;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "");



//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select l.country_desc as l_country_desc, " . 
    "l.country_id as l_country_id " . 
    " from lookup_countries l ";
//-------------------------------

//-------------------------------
// country Open Event begin
// country Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListcountry", "");
    $tpl->parse("countryNoRecords", false);
    $tpl->parse("Formcountry", false);
    return;
  }
//-------------------------------

//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldcountry_desc_URLLink = "index_searchresults.php";
    $fldcountry_desc_country_id = $db->f("l_country_id");
    $fldcountry_desc = $db->f("l_country_desc");
    $fldcountry_id = $db->f("l_country_id");
    $next_record = $db->next_record();
    
//-------------------------------
// country Show begin
//-------------------------------

//-------------------------------
// country Show Event begin
// country Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
    $tpl->set_var("country_id", tohtml($fldcountry_id));
      $tpl->set_var("country_desc", tohtml($fldcountry_desc));
      $tpl->set_var("country_desc_URLLink", $fldcountry_desc_URLLink);
      $tpl->set_var("Prmcountry_desc_country_id", urlencode($fldcountry_desc_country_id));
    $tpl->parse("DListcountry", true);
//-------------------------------
// country Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }


//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "countryNoRecords", "");
  $tpl->parse( "Formcountry", false);
//-------------------------------
// country Close Event begin
// country Close Event end
//-------------------------------
}
//===============================


//===============================
// Display Grid Form
//-------------------------------
function level_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------
  
  global $tpl;
  global $db;
  global $slevelErr;
  $sWhere = "";
  $sOrder = "";
  $sSQL = "";
  $sFormTitle = "";
  $HasParam = false;
  $iRecordsPerPage = 20;
  $iCounter = 0;


  $tpl->set_var("TransitParams", "");
  $tpl->set_var("FormParams", "");



//-------------------------------
// Build base SQL statement
//-------------------------------
  $sSQL = "select l.cat2_id as l_cat2_id, " . 
    "l.category2 as l_category2 " . 
    " from lookup_start_or_est l ";
//-------------------------------

//-------------------------------
// level Open Event begin
// level Open Event end
//-------------------------------

//-------------------------------
// Assemble full SQL statement
//-------------------------------
  $sSQL .= $sWhere . $sOrder;
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Execute SQL statement
//-------------------------------
  $db->query($sSQL);
  $next_record = $db->next_record();
//-------------------------------
// Process empty recordset
//-------------------------------
  if(!$next_record)
  {
    $tpl->set_var("DListlevel", "");
    $tpl->parse("levelNoRecords", false);
    $tpl->parse("Formlevel", false);
    return;
  }
//-------------------------------

//-------------------------------
// Initialize page counter and records per page
//-------------------------------
  $iRecordsPerPage = 20;
  $iCounter = 0;
//-------------------------------

//-------------------------------
// Display grid based on recordset
//-------------------------------
  while($next_record  && $iCounter < $iRecordsPerPage)
  {
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldcat2_id = $db->f("l_cat2_id");
    $fldcategory2_URLLink = "index_searchresults.php";
    $fldcategory2_cat2_id = $db->f("l_cat2_id");
    $fldcategory2 = $db->f("l_category2");
    $next_record = $db->next_record();
    
//-------------------------------
// level Show begin
//-------------------------------

//-------------------------------
// level Show Event begin
// level Show Event end
//-------------------------------

//-------------------------------
// Replace Template fields with database values
//-------------------------------
    
    $tpl->set_var("cat2_id", tohtml($fldcat2_id));
      $tpl->set_var("category2", tohtml($fldcategory2));
      $tpl->set_var("category2_URLLink", $fldcategory2_URLLink);
      $tpl->set_var("Prmcategory2_cat2_id", urlencode($fldcategory2_cat2_id));
    $tpl->parse("DListlevel", true);
//-------------------------------
// level Show end
//-------------------------------

//-------------------------------
// Move to the next record and increase record counter
//-------------------------------
    
    $iCounter++;
  }


//-------------------------------
// Finish form processing
//-------------------------------
  $tpl->set_var( "levelNoRecords", "");
  $tpl->parse( "Formlevel", false);
//-------------------------------
// level Close Event begin
// level Close Event end
//-------------------------------
}
//===============================


//===============================
// Display Search Form
//-------------------------------
function search_show()
{
  global $db;
  global $tpl;
  global $sForm;
  $sFormTitle = "Search /  Refine";
  $sActionFileName = "index_searchresults.php";

//-------------------------------
// search Open Event begin
// search Open Event end
//-------------------------------
  $tpl->set_var("FormTitle", $sFormTitle);
  $tpl->set_var("ActionPage", $sActionFileName);
//-------------------------------
// Set variables with search parameters
//-------------------------------
  $fldsummary = strip(get_param("summary"));
  $fldprice = strip(get_param("price"));
  $fldprice2 = strip(get_param("price2"));

//-------------------------------
// search Show begin
//-------------------------------


//-------------------------------
// search Show Event begin
// search Show Event end
//-------------------------------
    $tpl->set_var("summary", tohtml($fldsummary));
    $tpl->set_var("price", tohtml($fldprice));
    $tpl->set_var("price2", tohtml($fldprice2));

//-------------------------------
// search Show end
//-------------------------------

//-------------------------------
// search Close Event begin
// search Close Event end
//-------------------------------
  $tpl->parse("Formsearch", false);
//===============================
}

?>