<?php
/*********************************************************************************
 *       Filename: register.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// register CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// register CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "register.php";
$template_filename = "register.html";
//===============================



//===============================
// register PageSecurity begin
// register PageSecurity end
//===============================

//===============================
// register Open Event begin
// register Open Event end
//===============================

//===============================
// register OpenAnyPage Event start
// register OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// register Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sregisterErr = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "register":
    register_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();register_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// register Show end

//===============================
// register Close Event begin
// register Close Event end
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function register_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  global $tpl;
  global $sForm;
  global $sregisterErr;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
  $pPKuser_id = "";
  $fldusername = "";
  $fldpassword = "";
  $fldcompany = "";
  $fldfname = "";
  $fldlname = "";
  $fldaddress = "";
  $fldtown = "";
  $fldstate = "";
  $fldcountry = "";
  $fldpostcode = "";
  $fldtel = "";
  $fldfax = "";
  $fldurl = "";
  $fldemail = "";
  $fldjoindate = "";
//-------------------------------

//-------------------------------
// register Action begin
//-------------------------------
  $sActionFileName = "register2.php";

//-------------------------------
// Load all form fields into variables
//-------------------------------
  $fldusername = get_param("username");
  $fldpassword = get_param("password");
  $fldcompany = get_param("company");
  $fldfname = get_param("fname");
  $fldlname = get_param("lname");
  $fldaddress = get_param("address");
  $fldtown = get_param("town");
  $fldstate = get_param("state");
  $fldcountry = get_param("country");
  $fldpostcode = get_param("postcode");
  $fldtel = get_param("tel");
  $fldfax = get_param("fax");
  $fldurl = get_param("url");
  $fldemail = get_param("email");
  $fldjoindate = get_param("joindate");

//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "insert" || $sAction == "update") 
  {
    if(!strlen($fldusername))
      $sregisterErr .= "The value in field Username is required.<br>";
    
    if(!strlen($fldpassword))
      $sregisterErr .= "The value in field Password is required.<br>";
    
    if(!strlen($fldtel))
      $sregisterErr .= "The value in field Telephone is required.<br>";
    
    if(!strlen($fldemail))
      $sregisterErr .= "The value in field Email is required.<br>";
    
//-------------------------------
// register Check Event begin
// register Check Event end
//-------------------------------
    if(strlen($sregisterErr)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "insert":
//-------------------------------
// register Insert Event begin
// register Insert Event end
//-------------------------------
        $sSQL = "insert into users (" . 
          "username," . 
          "password," . 
          "company," . 
          "fname," . 
          "lname," . 
          "address," . 
          "town," . 
          "state," . 
          "country," . 
          "postcode," . 
          "tel," . 
          "fax," . 
          "url," . 
          "email," . 
          "joindate)" . 
          " values (" . 
          tosql($fldusername, "Text") . "," . 
          tosql($fldpassword, "Text") . "," . 
          tosql($fldcompany, "Text") . "," . 
          tosql($fldfname, "Text") . "," . 
          tosql($fldlname, "Text") . "," . 
          tosql($fldaddress, "Text") . "," . 
          tosql($fldtown, "Text") . "," . 
          tosql($fldstate, "Text") . "," . 
          tosql($fldcountry, "Text") . "," . 
          tosql($fldpostcode, "Text") . "," . 
          tosql($fldtel, "Text") . "," . 
          tosql($fldfax, "Text") . "," . 
          tosql($fldurl, "Text") . "," . 
          tosql($fldemail, "Text") . "," . 
          tosql($fldjoindate, "Text") . 
          ")";
    break;
  }
//-------------------------------
//-------------------------------
// register BeforeExecute Event begin
// register BeforeExecute Event end
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if(strlen($sregisterErr)) return;
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: " . $sActionFileName);
  exit;
//-------------------------------
// register Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function register_show()
{
  global $db;
  global $tpl;
  global $sAction;
  global $sForm;
  global $sregisterErr;
  
  $flduser_id = "";
  $fldusername = "";
  $fldpassword = "";
  $fldcompany = "";
  $fldfname = "";
  $fldlname = "";
  $fldaddress = "";
  $fldtown = "";
  $fldstate = "";
  $fldcountry = "";
  $fldpostcode = "";
  $fldtel = "";
  $fldfax = "";
  $fldurl = "";
  $fldemail = "";
  $fldjoindate = "";
//-------------------------------
// register Show begin
//-------------------------------
  $sFormTitle = "New user registration";
  $sWhere = "";
  $bPK = true;
//-------------------------------
// Load primary key and form parameters
//-------------------------------
  if($sregisterErr == "")
  {
    $puser_id = get_param("user_id");
    $tpl->set_var("registerError", "");
  }
  else
  {
    $flduser_id = strip(get_param("user_id"));
    $fldusername = strip(get_param("username"));
    $fldpassword = strip(get_param("password"));
    $fldcompany = strip(get_param("company"));
    $fldfname = strip(get_param("fname"));
    $fldlname = strip(get_param("lname"));
    $fldaddress = strip(get_param("address"));
    $fldtown = strip(get_param("town"));
    $fldstate = strip(get_param("state"));
    $fldcountry = strip(get_param("country"));
    $fldpostcode = strip(get_param("postcode"));
    $fldtel = strip(get_param("tel"));
    $fldfax = strip(get_param("fax"));
    $fldurl = strip(get_param("url"));
    $fldemail = strip(get_param("email"));
    $fldjoindate = strip(get_param("joindate"));
    $puser_id = get_param("PK_user_id");
    $tpl->set_var("sregisterErr", $sregisterErr);
    $tpl->set_var("FormTitle", $sFormTitle);
    $tpl->parse("registerError", false);
  }
//-------------------------------

//-------------------------------
// Load all form fields

//-------------------------------

//-------------------------------
// Build WHERE statement
//-------------------------------
  
  if( !strlen($puser_id)) $bPK = false;
  
  $sWhere .= "user_id=" . tosql($puser_id, "Number");
  $tpl->set_var("PK_user_id", $puser_id);
//-------------------------------
//-------------------------------
// register Open Event begin
// register Open Event end
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Build SQL statement and execute query
//-------------------------------
  $sSQL = "select * from users where " . $sWhere;
  // Execute SQL statement
  $db->query($sSQL);
  $bIsUpdateMode = ($bPK && !($sAction == "insert" && $sForm == "register") && $db->next_record());
//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------
  if($bIsUpdateMode)
  {
    $fldjoindate = $db->f("joindate");
    $flduser_id = $db->f("user_id");
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------
    if($sregisterErr == "") 
    {
      $fldusername = $db->f("username");
      $fldpassword = $db->f("password");
      $fldcompany = $db->f("company");
      $fldfname = $db->f("fname");
      $fldlname = $db->f("lname");
      $fldaddress = $db->f("address");
      $fldtown = $db->f("town");
      $fldstate = $db->f("state");
      $fldcountry = $db->f("country");
      $fldpostcode = $db->f("postcode");
      $fldtel = $db->f("tel");
      $fldfax = $db->f("fax");
      $fldurl = $db->f("url");
      $fldemail = $db->f("email");
    }
    $tpl->set_var("registerDelete", "");
    $tpl->set_var("registerUpdate", "");
    $tpl->set_var("registerInsert", "");
//-------------------------------
// register ShowEdit Event begin
// register ShowEdit Event end
//-------------------------------
  }
  else
  {
    $tpl->set_var("registerEdit", "");
    $tpl->parse("registerInsert", false);
//-------------------------------
// register ShowInsert Event begin
// register ShowInsert Event end
//-------------------------------
  }
  $tpl->set_var("registerCancel", "");
  if($sregisterErr == "")
  {
//-------------------------------
// register Show Event begin
$fldjoindate = date("Y-m-d G:i:s");
// register Show Event end
//-------------------------------
  }

//-------------------------------
// Show form field
//-------------------------------
    $tpl->set_var("user_id", tohtml($flduser_id));
    $tpl->set_var("username", tohtml($fldusername));
    $tpl->set_var("password", tohtml($fldpassword));
    $tpl->set_var("company", tohtml($fldcompany));
    $tpl->set_var("fname", tohtml($fldfname));
    $tpl->set_var("lname", tohtml($fldlname));
    $tpl->set_var("address", tohtml($fldaddress));
    $tpl->set_var("town", tohtml($fldtown));
    $tpl->set_var("state", tohtml($fldstate));
    $tpl->set_var("country", tohtml($fldcountry));
    $tpl->set_var("postcode", tohtml($fldpostcode));
    $tpl->set_var("tel", tohtml($fldtel));
    $tpl->set_var("fax", tohtml($fldfax));
    $tpl->set_var("url", tohtml($fldurl));
    $tpl->set_var("email", tohtml($fldemail));
    $tpl->set_var("joindate", tohtml($fldjoindate));
  $tpl->parse("Formregister", false);

//-------------------------------
// register Close Event begin
// register Close Event end
//-------------------------------

//-------------------------------
// register Show end
//-------------------------------
}
//===============================
?>