<?php
/*********************************************************************************
 *       Filename: user_mydetails.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// user_mydetails CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// user_mydetails CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "user_mydetails.php";
$template_filename = "user_mydetails.html";
//===============================



//===============================
// user_mydetails PageSecurity begin
// user_mydetails PageSecurity end
//===============================

//===============================
// user_mydetails Open Event begin
// user_mydetails Open Event end
//===============================

//===============================
// user_mydetails OpenAnyPage Event start
// user_mydetails OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// user_mydetails Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sregisterErr = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "register":
    register_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();register_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// user_mydetails Show end

//===============================
// user_mydetails Close Event begin
// user_mydetails Close Event end
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function register_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  global $tpl;
  global $sForm;
  global $sregisterErr;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
  $pPKuser_id = "";
  $fldusername = "";
  $fldpassword = "";
  $fldcompany = "";
  $fldfname = "";
  $fldlname = "";
  $fldaddress = "";
  $fldtown = "";
  $fldstate = "";
  $fldcountry = "";
  $fldpostcode = "";
  $fldtel = "";
  $fldfax = "";
  $fldurl = "";
  $fldemail = "";
//-------------------------------

//-------------------------------
// register Action begin
//-------------------------------
  $sActionFileName = "user_home.php";

//-------------------------------
// CANCEL action
//-------------------------------
  if($sAction == "cancel")
  {

//-------------------------------
// register BeforeCancel Event begin
// register BeforeCancel Event end
//-------------------------------
    header("Location: " . $sActionFileName);
    exit;
  }
//-------------------------------


//-------------------------------
// Build WHERE statement
//-------------------------------
  if($sAction == "update" || $sAction == "delete") 
  {
    $pPKuser_id = get_param("PK_user_id");
    if( !strlen($pPKuser_id)) return;
    $sWhere = "user_id=" . tosql($pPKuser_id, "Number");
  }
//-------------------------------


//-------------------------------
// Load all form fields into variables
//-------------------------------
  $fldusername = get_param("username");
  $fldpassword = get_param("password");
  $fldcompany = get_param("company");
  $fldfname = get_param("fname");
  $fldlname = get_param("lname");
  $fldaddress = get_param("address");
  $fldtown = get_param("town");
  $fldstate = get_param("state");
  $fldcountry = get_param("country");
  $fldpostcode = get_param("postcode");
  $fldtel = get_param("tel");
  $fldfax = get_param("fax");
  $fldurl = get_param("url");
  $fldemail = get_param("email");

//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "insert" || $sAction == "update") 
  {
    if(!strlen($fldpassword))
      $sregisterErr .= "The value in field Password is required.<br>";
    
//-------------------------------
// register Check Event begin
// register Check Event end
//-------------------------------
    if(strlen($sregisterErr)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "update":

//-------------------------------
// register Update Event begin
// register Update Event end
//-------------------------------
        $sSQL = "update users set " .
          "username=" . tosql($fldusername, "Text") .
          ",password=" . tosql($fldpassword, "Text") .
          ",company=" . tosql($fldcompany, "Text") .
          ",fname=" . tosql($fldfname, "Text") .
          ",lname=" . tosql($fldlname, "Text") .
          ",address=" . tosql($fldaddress, "Text") .
          ",town=" . tosql($fldtown, "Text") .
          ",state=" . tosql($fldstate, "Text") .
          ",country=" . tosql($fldcountry, "Text") .
          ",postcode=" . tosql($fldpostcode, "Text") .
          ",tel=" . tosql($fldtel, "Text") .
          ",fax=" . tosql($fldfax, "Text") .
          ",url=" . tosql($fldurl, "Text") .
          ",email=" . tosql($fldemail, "Text");
        $sSQL .= " where " . $sWhere;
    break;
  }
//-------------------------------
//-------------------------------
// register BeforeExecute Event begin
// register BeforeExecute Event end
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if(strlen($sregisterErr)) return;
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: " . $sActionFileName);
  exit;
//-------------------------------
// register Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function register_show()
{
  global $db;
  global $tpl;
  global $sAction;
  global $sForm;
  global $sregisterErr;
  
  $flduser_id = "";
  $fldusername = "";
  $fldpassword = "";
  $fldcompany = "";
  $fldfname = "";
  $fldlname = "";
  $fldaddress = "";
  $fldtown = "";
  $fldstate = "";
  $fldcountry = "";
  $fldpostcode = "";
  $fldtel = "";
  $fldfax = "";
  $fldurl = "";
  $fldemail = "";
//-------------------------------
// register Show begin
//-------------------------------
  $sFormTitle = "My area >> My details";
  $sWhere = "";
  $bPK = true;
//-------------------------------
// Load primary key and form parameters
//-------------------------------
  if($sregisterErr == "")
  {
    $tpl->set_var("registerError", "");
  }
  else
  {
    $flduser_id = strip(get_param("user_id"));
    $fldusername = strip(get_param("username"));
    $fldpassword = strip(get_param("password"));
    $fldcompany = strip(get_param("company"));
    $fldfname = strip(get_param("fname"));
    $fldlname = strip(get_param("lname"));
    $fldaddress = strip(get_param("address"));
    $fldtown = strip(get_param("town"));
    $fldstate = strip(get_param("state"));
    $fldcountry = strip(get_param("country"));
    $fldpostcode = strip(get_param("postcode"));
    $fldtel = strip(get_param("tel"));
    $fldfax = strip(get_param("fax"));
    $fldurl = strip(get_param("url"));
    $fldemail = strip(get_param("email"));
    $tpl->set_var("sregisterErr", $sregisterErr);
    $tpl->set_var("FormTitle", $sFormTitle);
    $tpl->parse("registerError", false);
  }
//-------------------------------

//-------------------------------
// Load all form fields

//-------------------------------

//-------------------------------
// Build WHERE statement
//-------------------------------
  
  $puser_id = get_session("UserID");
  if( !strlen($puser_id)) $bPK = false;
  
  $sWhere .= "user_id=" . tosql($puser_id, "Number");
  $tpl->set_var("PK_user_id", $puser_id);
//-------------------------------
//-------------------------------
// register Open Event begin
// register Open Event end
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Build SQL statement and execute query
//-------------------------------
  $sSQL = "select * from users where " . $sWhere;
  // Execute SQL statement
  $db->query($sSQL);
  $bIsUpdateMode = ($bPK && !($sAction == "insert" && $sForm == "register") && $db->next_record());
//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------
  if($bIsUpdateMode)
  {
    $flduser_id = $db->f("user_id");
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------
    if($sregisterErr == "") 
    {
      $fldusername = $db->f("username");
      $fldpassword = $db->f("password");
      $fldcompany = $db->f("company");
      $fldfname = $db->f("fname");
      $fldlname = $db->f("lname");
      $fldaddress = $db->f("address");
      $fldtown = $db->f("town");
      $fldstate = $db->f("state");
      $fldcountry = $db->f("country");
      $fldpostcode = $db->f("postcode");
      $fldtel = $db->f("tel");
      $fldfax = $db->f("fax");
      $fldurl = $db->f("url");
      $fldemail = $db->f("email");
    }
    $tpl->set_var("registerDelete", "");
    $tpl->set_var("registerInsert", "");
    $tpl->parse("registerEdit", false);
//-------------------------------
// register ShowEdit Event begin
// register ShowEdit Event end
//-------------------------------
  }
  else
  {
    if($sregisterErr == "")
    {
      $flduser_id = tohtml(get_session("UserID"));
    }
    $tpl->set_var("registerEdit", "");
    $tpl->set_var("registerInsert", "");
//-------------------------------
// register ShowInsert Event begin
// register ShowInsert Event end
//-------------------------------
  }
  $tpl->parse("registerCancel", false);
//-------------------------------
// register Show Event begin
// register Show Event end
//-------------------------------

//-------------------------------
// Show form field
//-------------------------------
    $tpl->set_var("user_id", tohtml($flduser_id));
    $tpl->set_var("username", tohtml($fldusername));
    $tpl->set_var("password", tohtml($fldpassword));
    $tpl->set_var("company", tohtml($fldcompany));
    $tpl->set_var("fname", tohtml($fldfname));
    $tpl->set_var("lname", tohtml($fldlname));
    $tpl->set_var("address", tohtml($fldaddress));
    $tpl->set_var("town", tohtml($fldtown));
    $tpl->set_var("state", tohtml($fldstate));
    $tpl->set_var("country", tohtml($fldcountry));
    $tpl->set_var("postcode", tohtml($fldpostcode));
    $tpl->set_var("tel", tohtml($fldtel));
    $tpl->set_var("fax", tohtml($fldfax));
    $tpl->set_var("url", tohtml($fldurl));
    $tpl->set_var("email", tohtml($fldemail));
  $tpl->parse("Formregister", false);

//-------------------------------
// register Close Event begin
// register Close Event end
//-------------------------------

//-------------------------------
// register Show end
//-------------------------------
}
//===============================
?>