# phpMyAdmin SQL Dump
# version 2.5.5
# http://www.phpmyadmin.net
#
# Host: localhost
# Generation Time: Jun 16, 2004 at 02:38 AM
# Server version: 4.0.15
# PHP Version: 4.3.4
# 
# Database : `buysellwebsite`
# 

# --------------------------------------------------------

#
# Table structure for table `ads`
#

DROP TABLE IF EXISTS `ads`;
CREATE TABLE `ads` (
  `ad_id` int(10) NOT NULL auto_increment,
  `user_id` int(10) default NULL,
  `date_added` date NOT NULL default '0000-00-00',
  `date_expire` date default NULL,
  `duration` int(10) default NULL,
  `featured` int(10) default '0',
  `expired` int(10) default '1',
  `views` int(10) default '1',
  `category` int(10) default NULL,
  `start_or_est` int(10) default NULL,
  `country` int(10) default NULL,
  `title` varchar(250) default NULL,
  `title2` varchar(250) default NULL,
  `visitors` int(11) default NULL,
  `url` varchar(100) default NULL,
  `summary` text,
  `price` int(11) default NULL,
  `revenue` varchar(100) default NULL,
  `income` varchar(100) default NULL,
  `financing` varchar(100) default NULL,
  `year_established` varchar(50) default NULL,
  `location` varchar(50) default NULL,
  `people_needed` int(11) default NULL,
  `run_from_home` int(11) default NULL,
  `reason_to_sell` varchar(250) default NULL,
  PRIMARY KEY  (`ad_id`)
) TYPE=MyISAM AUTO_INCREMENT=11 ;

#
# Dumping data for table `ads`
#

INSERT INTO `ads` VALUES (8, 1, '2004-06-01', '2004-05-10', NULL, 1, 0, 7, 3, 1, 1, 'Great web site', 'Great web site', 20000, 'www.greatwebsite.com', 'summary', 10000, '100000', '100000', '5000', '2001', 'UK', 1, 1, 'because I want');

# --------------------------------------------------------

#
# Table structure for table `invoices`
#

DROP TABLE IF EXISTS `invoices`;
CREATE TABLE `invoices` (
  `invoice_id` varchar(50) NOT NULL default '',
  `member_id` int(11) NOT NULL default '0',
  `amount` int(11) default NULL,
  `ad_id` int(11) default NULL,
  `product_id` int(11) NOT NULL default '1',
  `date_created` date default NULL,
  PRIMARY KEY  (`invoice_id`)
) TYPE=MyISAM;

#
# Dumping data for table `invoices`
#


# --------------------------------------------------------

#
# Table structure for table `lookup_countries`
#

DROP TABLE IF EXISTS `lookup_countries`;
CREATE TABLE `lookup_countries` (
  `country_id` int(11) NOT NULL auto_increment,
  `country_desc` varchar(40) default NULL,
  PRIMARY KEY  (`country_id`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

#
# Dumping data for table `lookup_countries`
#

INSERT INTO `lookup_countries` VALUES (1, 'UK');
INSERT INTO `lookup_countries` VALUES (2, 'USA');

# --------------------------------------------------------

#
# Table structure for table `lookup_site_category`
#

DROP TABLE IF EXISTS `lookup_site_category`;
CREATE TABLE `lookup_site_category` (
  `cat_id` int(10) NOT NULL auto_increment,
  `category` varchar(50) default NULL,
  PRIMARY KEY  (`cat_id`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

#
# Dumping data for table `lookup_site_category`
#

INSERT INTO `lookup_site_category` VALUES (3, 'Site type 1');
INSERT INTO `lookup_site_category` VALUES (2, 'Site type 2');

# --------------------------------------------------------

#
# Table structure for table `lookup_start_or_est`
#

DROP TABLE IF EXISTS `lookup_start_or_est`;
CREATE TABLE `lookup_start_or_est` (
  `cat2_id` int(10) NOT NULL auto_increment,
  `category2` varchar(50) default NULL,
  PRIMARY KEY  (`cat2_id`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

#
# Dumping data for table `lookup_start_or_est`
#

INSERT INTO `lookup_start_or_est` VALUES (1, 'Established');
INSERT INTO `lookup_start_or_est` VALUES (2, 'Start-up');

# --------------------------------------------------------

#
# Table structure for table `orders`
#

DROP TABLE IF EXISTS `orders`;
CREATE TABLE `orders` (
  `order_id` varchar(50) NOT NULL default '',
  `member_id` int(11) NOT NULL default '0',
  `ad_id` int(11) default NULL,
  `product_id` int(11) default NULL,
  `amount` int(11) default NULL,
  `days` int(11) default NULL,
  `status` int(11) NOT NULL default '1',
  `date_created` date default NULL,
  PRIMARY KEY  (`order_id`)
) TYPE=MyISAM;

#
# Dumping data for table `orders`
#


# --------------------------------------------------------

#
# Table structure for table `products`
#

DROP TABLE IF EXISTS `products`;
CREATE TABLE `products` (
  `product_id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `days` int(11) default NULL,
  `price` float NOT NULL default '0',
  `notes` text,
  `long_desc` text,
  `short_desc` text,
  `image` blob,
  `featured` int(11) NOT NULL default '0',
  PRIMARY KEY  (`product_id`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

#
# Dumping data for table `products`
#

INSERT INTO `products` VALUES (1, '2 weeks plan', 14, '1', NULL, '2 weeks', '2 weeks', '', 1);
INSERT INTO `products` VALUES (2, '4 weeks plan', 28, '1', 'Notes for this plan - only for admin to see... if needed', NULL, 'Description for the users', NULL, 0);

# --------------------------------------------------------

#
# Table structure for table `settings`
#

DROP TABLE IF EXISTS `settings`;
CREATE TABLE `settings` (
  `settings_id` int(11) NOT NULL auto_increment,
  `views_per_click` int(11) NOT NULL default '1',
  `paypal_name` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`settings_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `settings`
#

INSERT INTO `settings` VALUES (1, 2, 'ka-web-design@dir.bg');

# --------------------------------------------------------

#
# Table structure for table `tellafriend_log`
#

DROP TABLE IF EXISTS `tellafriend_log`;
CREATE TABLE `tellafriend_log` (
  `log_id` int(11) NOT NULL auto_increment,
  `sending_date` datetime default NULL,
  `from_email` varchar(50) default NULL,
  `from_name` varchar(50) default NULL,
  `to_email` varchar(50) default NULL,
  `to_name` varchar(50) default NULL,
  `message_comments` text,
  `title` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`log_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `tellafriend_log`
#


# --------------------------------------------------------

#
# Table structure for table `users`
#

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `user_id` int(10) NOT NULL auto_increment,
  `username` varchar(50) default NULL,
  `password` varchar(50) default NULL,
  `sec_level` int(10) default '1',
  `last_login` varchar(50) default NULL,
  `company` varchar(50) default NULL,
  `title` varchar(50) default 'mr',
  `fname` varchar(50) default NULL,
  `lname` varchar(50) default NULL,
  `address` varchar(50) default NULL,
  `town` varchar(50) default NULL,
  `state` varchar(50) default NULL,
  `country` varchar(50) default NULL,
  `postcode` varchar(50) default NULL,
  `tel` varchar(50) default NULL,
  `fax` varchar(50) default NULL,
  `url` varchar(50) default NULL,
  `email` varchar(50) default NULL,
  `joindate` varchar(50) default NULL,
  `account` int(11) NOT NULL default '0',
  PRIMARY KEY  (`user_id`)
) TYPE=MyISAM AUTO_INCREMENT=7 ;

#
# Dumping data for table `users`
#

INSERT INTO `users` VALUES (1, 'admin', 'admin', 3, '2004-05-31 10:10:25', 'zfdsfsdfsdf', 'mr', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '324234234', NULL, NULL, 'ewtrertert', NULL, 0);
INSERT INTO `users` VALUES (2, 'user', 'user', 1, '2004-05-23 07:36:52', NULL, 'mr', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '43543543534', NULL, NULL, 'ka_web_design@yahoo.com', '2004-05-23 19:19:42', 0);
    